Package org.h2gis.functions.spatial.create

# Class ST_GeneratePointsInGrid

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.create.ST_GeneratePointsInGrid

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_GeneratePointsInGrid extends org.h2gis.api.DeterministicScalarFunction
This function is used to generate pseudo-random points until the requested number are found within the input area (polygon or multipolygon)

Author:
  Erwan Bocher, CNRS

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_GeneratePointsInGrid()`

## Method Summary

Modifier and Type
Method
Description
`static org.locationtech.jts.geom.Geometry`
`generatePointsInGrid(org.locationtech.jts.geom.Geometry geom, int cellSizeX, int cellSizeY)`
`static org.locationtech.jts.geom.Geometry`
`generatePointsInGrid(org.locationtech.jts.geom.Geometry geom, int cellSizeX, int cellSizeY, boolean useMask)`
Make a regular distribution of points
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_GeneratePointsInGrid

public ST_GeneratePointsInGrid()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### generatePointsInGrid

public static org.locationtech.jts.geom.Geometry generatePointsInGrid(org.locationtech.jts.geom.Geometry geom, int cellSizeX, int cellSizeY) throws SQLException

Throws:
  `SQLException`

### generatePointsInGrid

public static org.locationtech.jts.geom.Geometry generatePointsInGrid(org.locationtech.jts.geom.Geometry geom, int cellSizeX, int cellSizeY, boolean useMask) throws SQLException
Make a regular distribution of points

Parameters:
  `geom` - input geometry as polygon or multipolygon
  `cellSizeX` - size of the x cell
  `cellSizeY` - size of the y cell
  `useMask` - set to true to keep the points loacted inside the input geometry
Returns:
  a regular distribution of points as multipoint
Throws:
  `SQLException`